For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
GuidesAPI Reference
GuidesAPI Reference
  • API Reference
      • GETGet Connection Types
      • GETGet Connection Type
      • POSTConnection Type Parameter Values
      • GETList Connections
      • POSTCreate Connection
      • POSTConnect
      • POSTTest Connection
      • GETGet Connection
      • PUTUpdate Connection
      • DELDelete Connection
      • GETConnection Parameter Values
      • POSTCreate Shared Connection
      • GETList Shared Connections
Logo
Log inBook a demo
API ReferenceConnections

Get Connection Types

GET
https://app.polytomic.com/api/connection_types
GET
/api/connection_types
$curl https://app.polytomic.com/api/connection_types \
> -H "X-Polytomic-Version: X-Polytomic-Version" \
> -H "Content-Type: application/json" \
> -u "<username>:<password>"
1{
2 "data": [
3 {
4 "capabilities": {
5 "destination": true,
6 "enrichment": false,
7 "orchestration": false,
8 "source": true
9 },
10 "configurationForm": {
11 "jsonschema": {
12 "type": "object",
13 "properties": {
14 "host": {
15 "type": "string",
16 "title": "Host",
17 "description": "Database server hostname or IP address"
18 },
19 "port": {
20 "type": "integer",
21 "title": "Port",
22 "default": 5432,
23 "minimum": 1,
24 "maximum": 65535
25 },
26 "database": {
27 "type": "string",
28 "title": "Database Name"
29 },
30 "username": {
31 "type": "string",
32 "title": "Username"
33 },
34 "password": {
35 "type": "string",
36 "title": "Password"
37 },
38 "sslmode": {
39 "type": "string",
40 "title": "SSL Mode",
41 "enum": [
42 "disable",
43 "require",
44 "verify-ca",
45 "verify-full"
46 ],
47 "default": "require"
48 }
49 },
50 "required": [
51 "host",
52 "port",
53 "database",
54 "username",
55 "password"
56 ]
57 },
58 "uischema": {
59 "password": {
60 "ui:widget": "password"
61 },
62 "sslmode": {
63 "ui:widget": "select"
64 }
65 }
66 },
67 "envConfig": {
68 "PGHOST": "db.example.com",
69 "PGPORT": 5432,
70 "PGDATABASE": "analytics",
71 "PGUSER": "polytomic_user"
72 },
73 "id": "postgresql",
74 "initialConfiguration": {
75 "host": "db.example.com",
76 "port": 5432,
77 "database": "analytics",
78 "username": "polytomic_user",
79 "sslmode": "require"
80 },
81 "logo_url": "https://connect-assets.polytomic.com/logos/postgresql.svg",
82 "name": "PostgreSQL",
83 "oauth_prompt": {
84 "key": null,
85 "value": null,
86 "when": "never"
87 },
88 "use_oauth": false
89 }
90 ]
91}
Lists all connection types supported by this deployment. Each entry includes per-type metadata: - The available operations the connection type supports. - Its category. - Whether the connection type is enabled for the caller's organization. - Which modes (source, destination, enrichment) it can act as.
Was this page helpful?

Get Connection Type

Next

Lists all connection types supported by this deployment.

Each entry includes per-type metadata:

  • The available operations the connection type supports.
  • Its category.
  • Whether the connection type is enabled for the caller’s organization.
  • Which modes (source, destination, enrichment) it can act as.

Authentication

AuthorizationBasic

This is the Polytomic deployment key (on-premises only)

OR
AuthorizationBearer
This is the Polytomic API key

Headers

X-Polytomic-VersionstringRequired

Response

OK
datalist of objects or null

Errors

401
Unauthorized Error
500
Internal Server Error